Bug 18033 - If/else sometimes does not make sense after koha account system refactoring
Summary: If/else sometimes does not make sense after koha account system refactoring
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Keywords:
Depends on: 15894
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-01 19:45 UTC by Josef Moravec
Modified: 2017-12-07 22:18 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18033: Remove duplicate code in paycollect.pl (2.16 KB, patch)
2017-02-01 19:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18033: Remove duplicate code in paycollect.pl (2.22 KB, patch)
2017-02-02 11:36 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 18033: Remove duplicate code in paycollect.pl (2.28 KB, patch)
2017-02-02 12:28 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Josef Moravec 2017-02-01 19:45:20 UTC
Patch folowing
Comment 1 Josef Moravec 2017-02-01 19:52:18 UTC
Created attachment 59752 [details] [review]
Bug 18033: Remove duplicate code in paycollect.pl

Test plan:
0) apply the patch
1) try to pay individual fee, with full amount and partial amount
   it should work the same as before patch
Comment 2 Kyle M Hall 2017-02-02 11:36:30 UTC
Created attachment 59797 [details] [review]
Bug 18033: Remove duplicate code in paycollect.pl

Test plan:
0) apply the patch
1) try to pay individual fee, with full amount and partial amount
   it should work the same as before patch

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 3 Jonathan Druart 2017-02-02 12:28:34 UTC
Created attachment 59810 [details] [review]
Bug 18033: Remove duplicate code in paycollect.pl

Test plan:
0) apply the patch
1) try to pay individual fee, with full amount and partial amount
   it should work the same as before patch

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Kyle M Hall 2017-02-07 16:15:56 UTC
Pushed to master for 17.05, thanks Josef!
Comment 5 Katrin Fischer 2017-02-07 21:00:25 UTC
This won't get ported back to 16.11.x as it is an enhancement.

I also suspect dependencies on the ongoing work to improve everything related to accounts and payments.